Bug 1343346 (CVE-2016-4437)

Summary: CVE-2016-4437 shiro: Security constraint bypass
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abhgupta, aileenc, chazlett, dmcphers, gvarsami, jcoleman, jialiu, jokerman, ldimaggi, lmeyer, mmccomas, nwallace, rwagner, soa-p-jira, tcunning, tiwillia, tkirby
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: shiro 1.2.5 Doc Type: If docs needed, set a value
Doc Text:
It was found that Apache Shiro uses a default cipher key for its "remember me" feature. An attacker could use this to devise a malicious request parameter and gain access to unauthorized content.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-21 00:52:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1347493, 1347492, 1347494    
Bug Blocks: 1343349, 1379523, 1381801, 1385169    

Description Andrej Nemec 2016-06-07 07:58:31 UTC
A default cipher key is used for the "remember me" feature when not
explicitly configured.  A request that included a specially crafted request
parameter could be used to execute arbitrary code or access content that
would otherwise be protected by a security constraint.

References:

http://seclists.org/oss-sec/2016/q2/466

Comment 2 errata-xmlrpc 2016-10-06 16:18:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss A-MQ 6.3

Via RHSA-2016:2036 https://rhn.redhat.com/errata/RHSA-2016-2036.html

Comment 3 errata-xmlrpc 2016-10-06 16:20:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.3

Via RHSA-2016:2035 https://rhn.redhat.com/errata/RHSA-2016-2035.html